For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/v1/raw

Processes OCR in raw mode

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo

Body for OCR processing in raw mode

typestring · enumOpcional

The type of document to process must be specified, since our service can handle different types of documents.

Example: id_cardValores possíveis:
imagestringOpcional

This parameter specifies the image to process, encoded in base64 RFC4648.

Example: /9j/4AAQSkZJRgABAQEAtAC0AAD...
Respostas
200

The result of the OCR processing

application/json

Result of processing an image.

descriptionstringOpcional

Word found.

Example: 12345678A
confidencenumberOpcional

Confidence of the word.

Example: 0.871
post/api/v1/raw
POST /api/v1/raw HTTP/1.1
Host: 127.0.0.1:6982/
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 59

{
  "type": "id_card",
  "image": "/9j/4AAQSkZJRgABAQEAtAC0AAD..."
}
{
  "description": "12345678A",
  "vertices": [
    [
      {
        "x": 1,
        "y": 1
      }
    ]
  ],
  "confidence": 0.871
}

Atualizado